Knowledge Base

The VMware Knowledge Base provides support solutions, error messages and troubleshooting guides
 
Search the VMware Knowledge Base (KB)   View by Article ID
 

Best practices for upgrading to ESXi 5.0 (2005102)

Purpose

This article provides information about upgrading to ESXi 5.0.

Notes:
  • This article assumes that you have read the vSphere Upgrade Guide. The guide contains definitive information. If there is a discrepancy between the guide and this article, assume that the guide is correct.
  • ESXi 5.0 is available through Update Manager. For more information, see Methods of upgrading to ESXi 5.0 (2004501).

Resolution

With the introduction of vSphere 5.0, ESX has been discontinued. ESXi is now the only version available for datacenter server virtualization. Due to the architectural changes from ESX to ESXi, not all configuration files, settings, and third party tools are guaranteed to be migrated to ESXi 5.0. Ensure that you retain and note any configuration modifications before performing an upgrade. For more information, see the vSphere Upgrade Guide .
 
Note: VMware strongly recommends that you make a backup of your virtual machines if they are located on local storage of the ESX/ESXi host before upgrading.
 
When migrating to ESXi 5.0, ensure that:
  1. Your hardware is compliant on the VMware Compatibility Guide. This includes:

    • System compatibility
    • I/O compatibility (Network and HBA cards)
    • Storage compatibility
    • Backup software compatibility

  2. You have a 64-bit processor. VMware ESXi 5.0 only installs and runs on servers with 64-bit x86 CPUs. It also only supports LAHF and SAHF CPU instructions. These are known 64-bit processors:

    • All AMD Opteron processors
    • All Intel Xeon 3000/3200, 3100/3300, 5100/5300, 5200/5400, 5500/5600, 7100/7300, 7200/7400, and 7500 processors

  3. Intel VT is enabled in the host's BIOS.
  4. You have 2GB RAM. This is the minimum required to install.
  5. You have one or more Gigabit or 10GB Ethernet controllers. For a list of supported network adapter models, see the VMware Compatibility Guide.
  6. You have a SCSI disk or a local, non-network, RAID LUN with unpartitioned space for the virtual machines. For Serial ATA (SATA), disk connected through supported SAS controllers or supported on-board SATA controllers. SATA disks are considered remote, not local. These disks are not used as a scratch partition by default because they are seen as remote.

    Note: You cannot connect a SATA CD-ROM device to a virtual machine on an ESXi 5.0 host. To use the SATA CD-ROM device, you must use IDE emulation mode.

  7. You are using a supported storage system. ESXi 5.0 supports installing on and booting from these storage systems:

    • SATA disk drives. Supported on-board SATA include:

      • Intel ICH9
      • NVIDIA MCP55
      • ServerWorks HT1000

        Note: Sharing VMFS datastores on SATA disks across multiple ESXi 5.0 hosts is not supported.

    • SATA disk drives connected behind supported SAS controllers. Supported SAS controllers include:

      • LSI1068E (LSISAS3442E)
      • LSI1068 (SAS 5)
      • IBM ServeRAID 8K SAS controller
      • Smart Array P400/256 controller
      • Dell PERC 5.0.1 controller

  8. You have Serial Attached SCSI (SAS) disk drives. These are supported for installing ESXi 5.0 and for storing virtual machines on VMFS partitions.
  9. You have a dedicated SAN disk on Fibre Channel or iSCSI.
  10. You have USB devices. These are supported for installing ESXi 5.0. For a list of supported USB devices, see the VMware Compatibility Guide.

    vSphere 5.0 supports booting ESXi hosts from the Unified Extensible Firmware Interface (UEFI). With UEFI you can boot systems from hard drives, CD-ROM drives, or USB media. Network booting or provisioning with VMware Auto Deploy requires the legacy BIOS firmware and is not available with UEFI.

    Notes:

    • ESXi can boot from a disk larger than 2TB if the system firmware and the firmware on any add-in card that you are using support it. For more information, see the vendor documentation.
    • Changing the boot type from legacy BIOS to UEFI after you install ESXi 5.0 may cause the host to fail to boot. In this case, the host displays an error message similar to:

      Not a VMware boot bank. Changing the host boot type between legacy BIOS and UEFI is not supported after you install ESXi 5.0.

  11. If you are installing ESXi on the local disks and if a fibre attached SAN is connected to the ESXi host, detach the fibre before proceeding with the installation. If you do not disconnect the fibre, you may inadvertently choose an HBA adapter as the primary boot partition, which can result in the loss of data on the LUNs attached to the HBA adapter. ESXi 5.0 now identifies if you are installing on to VMFS volume. However, it is still advisable you perform this step.

    Note: Do not disable HBA cards in the BIOS.

Additional Information

For more information on upgrading to ESXi 5.0 and the new features of vSphere 5.0, see the What's New in VMware vSphere 5.0 Platform technical whitepaper.

For translated versions of this article, see:

Tags

upgrade-esxi

See Also

Request a Product Feature

To request a new product feature or to provide feedback on a VMware product, please visit the Request a Product Feature page.

Feedback

  • 33 Ratings

Did this article help you?
This article resolved my issue.
This article did not resolve my issue.
This article helped but additional information was required to resolve my issue.
What can we do to improve this information? (4000 or fewer characters)
  • 33 Ratings
Actions
KB: